# $Revision: 1.20 $, $Date: 2002/07/04 21:42:12 $
Summary:	OpenDivX - MPEG-4 implementation
Summary(pl):	OpenDivX - implementacja dekodera MPEG-4
Name:		libdivxdecore
Version:	0.4.7
Release:	5
License:	DivX Open License
Group:		Libraries
Source0:	http://download2.projectmayo.com/dnload/divx4linux/xmps/%{name}-%{version}.tar.gz
URL:		http://www.projectmayo.com/projects/detail.php?projectId=4
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenDivX is a implementation of MPEG-4 Video tools as specified in
ISO/IEC 14496-2 standard.

%description -l pl
OpenDivX jest implementacj MPEG-4 okrelonego w midzynarodowej
normie ISO/IEC 14496-2.

%package devel
Summary:	Header files and development documentation for libdivxdecore
Summary(pl):	Pliki nagwkowe i dokumentacja do libdivxdecore
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for libdivxdecore.

%description devel -l pl
Pliki nagwkowe i dokumentacja do libdivxdecore.

%package static
Summary:	libdivxdecore static library
Summary(pl):	Statyczna biblioteka libdivxdecore
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
libdivxdecore static library.

%description static -l pl
Biblioteka statyczna libdivxdecore.

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_libdir}/*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.la
%{_includedir}/divx

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libdivxdecore.spec,v $
Revision 1.20  2002/07/04 21:42:12  marcus
- use new %%doc
- rel.5.

Revision 1.19  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.18  2002/05/21 23:13:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/05/02 19:12:10  qboosh
- automake -a -c -f --foreign - don't change license information in COPYING!!!

Revision 1.16  2002/04/16 06:52:07  marcus
- fixed urls

Revision 1.15  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.14  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/02 20:21:05  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.11  2002/02/01 14:50:22  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.10  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/09/28 23:53:47  blues
- release 4
- ac/am ready

Revision 1.8  2001/08/13 21:29:47  kloczek
- added missing BuildRequires.

Revision 1.7  2001/08/09 15:38:35  baggins
- added automake/autoconf stuff

Revision 1.6  2001/06/12 16:12:52  qboosh
- license is not GPL! it's "DivX Open License" (not really OpenSource);
  added COPYING file (containing license) to %%doc
- release 3

Revision 1.5  2001/03/24 23:08:31  kloczek
- release 2: spec adapterized.

Revision 1.4  2001/03/24 02:41:20  blues
- one more translation...

Revision 1.3  2001/01/22 03:22:21  kloczek
- changed permission to 755 on linker scripts (.la files).

Revision 1.2  2001/01/21 13:50:41  michuz
- changed URl

Revision 1.1  2001/01/21 13:40:04  michuz
- initial release

